#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private IGTDSequential2[] cacheIGTDSequential2;

		
		public IGTDSequential2 IGTDSequential2(bool plotSetupCountDownBuy, bool plotSetupCountDownSell, bool plotTDST, bool plotSequentialCountdownBuy, bool plotSequentialCountdownSell, bool plotComboCountdownBuy, bool plotComboCountdownSell, int pixelOffset, int setupBars, int setupLookBackBars, bool plotSetupCountDownAfterMinBars, TDSequentialPlotType2 plotType, Brush setupFontColor, int setupFontSize, Brush setupBackgroundColorBar1, Brush setupFontColorBar1, int setupFontSizeBar1, Brush setupBackgroundColorBar9, Brush setupFontColorBar9, int setupFontSizeBar9, bool drawPerfectSignalArrow, Brush perfectSignalBuyColor, Brush perfectSignalSellColor, bool cancelHaHC_LbLC, bool cancelHaHH_LbLL, bool cancelCaHC_CbLC, bool cancelCaHH_CbLL, bool cancelCaHTH_CbLTL, int tDSTMaxNumber, DashStyleHelper dashStyle, Brush tDSTResistanceColor, Brush tDSTSupportColor, int width, bool buyQ1OR, bool sellQ1OR, int sequentialBars, int sequentialLookBackBars, bool sequentialBar8VersusBar5Qualifier, bool sequentialBar13VersusBar8Qualifier, int sequentialRecycleBars, TDTerminationCount2 terminationCount, Brush sequentialFontColor, int sequentialFontSize, Brush sequentialBackgroundColorBar1, Brush sequentialFontColorBar1, int sequentialFontSizeBar1, Brush sequentialBackgroundColorBar13, Brush sequentialFontColorBar13, int sequentialFontSizeBar13, Brush sequentialBackgroundColorBarRecycle, Brush sequentialFontColorBarRecycle, int sequentialFontSizeBarRecycle, bool sequentialCancelReverseSetup, bool sequentialCancelTDST, int comboBars, int comboLookBackBars, int comboRecycleBars, Brush comboFontColor, int comboFontSize, Brush comboBackgroundColorBar1, Brush comboFontColorBar1, int comboFontSizeBar1, Brush comboBackgroundColorBar13, Brush comboFontColorBar13, int comboFontSizeBar13, Brush comboBackgroundColorBarRecycle, Brush comboFontColorBarRecycle, int comboFontSizeBarRecycle)
		{
			return IGTDSequential2(Input, plotSetupCountDownBuy, plotSetupCountDownSell, plotTDST, plotSequentialCountdownBuy, plotSequentialCountdownSell, plotComboCountdownBuy, plotComboCountdownSell, pixelOffset, setupBars, setupLookBackBars, plotSetupCountDownAfterMinBars, plotType, setupFontColor, setupFontSize, setupBackgroundColorBar1, setupFontColorBar1, setupFontSizeBar1, setupBackgroundColorBar9, setupFontColorBar9, setupFontSizeBar9, drawPerfectSignalArrow, perfectSignalBuyColor, perfectSignalSellColor, cancelHaHC_LbLC, cancelHaHH_LbLL, cancelCaHC_CbLC, cancelCaHH_CbLL, cancelCaHTH_CbLTL, tDSTMaxNumber, dashStyle, tDSTResistanceColor, tDSTSupportColor, width, buyQ1OR, sellQ1OR, sequentialBars, sequentialLookBackBars, sequentialBar8VersusBar5Qualifier, sequentialBar13VersusBar8Qualifier, sequentialRecycleBars, terminationCount, sequentialFontColor, sequentialFontSize, sequentialBackgroundColorBar1, sequentialFontColorBar1, sequentialFontSizeBar1, sequentialBackgroundColorBar13, sequentialFontColorBar13, sequentialFontSizeBar13, sequentialBackgroundColorBarRecycle, sequentialFontColorBarRecycle, sequentialFontSizeBarRecycle, sequentialCancelReverseSetup, sequentialCancelTDST, comboBars, comboLookBackBars, comboRecycleBars, comboFontColor, comboFontSize, comboBackgroundColorBar1, comboFontColorBar1, comboFontSizeBar1, comboBackgroundColorBar13, comboFontColorBar13, comboFontSizeBar13, comboBackgroundColorBarRecycle, comboFontColorBarRecycle, comboFontSizeBarRecycle);
		}


		
		public IGTDSequential2 IGTDSequential2(ISeries<double> input, bool plotSetupCountDownBuy, bool plotSetupCountDownSell, bool plotTDST, bool plotSequentialCountdownBuy, bool plotSequentialCountdownSell, bool plotComboCountdownBuy, bool plotComboCountdownSell, int pixelOffset, int setupBars, int setupLookBackBars, bool plotSetupCountDownAfterMinBars, TDSequentialPlotType2 plotType, Brush setupFontColor, int setupFontSize, Brush setupBackgroundColorBar1, Brush setupFontColorBar1, int setupFontSizeBar1, Brush setupBackgroundColorBar9, Brush setupFontColorBar9, int setupFontSizeBar9, bool drawPerfectSignalArrow, Brush perfectSignalBuyColor, Brush perfectSignalSellColor, bool cancelHaHC_LbLC, bool cancelHaHH_LbLL, bool cancelCaHC_CbLC, bool cancelCaHH_CbLL, bool cancelCaHTH_CbLTL, int tDSTMaxNumber, DashStyleHelper dashStyle, Brush tDSTResistanceColor, Brush tDSTSupportColor, int width, bool buyQ1OR, bool sellQ1OR, int sequentialBars, int sequentialLookBackBars, bool sequentialBar8VersusBar5Qualifier, bool sequentialBar13VersusBar8Qualifier, int sequentialRecycleBars, TDTerminationCount2 terminationCount, Brush sequentialFontColor, int sequentialFontSize, Brush sequentialBackgroundColorBar1, Brush sequentialFontColorBar1, int sequentialFontSizeBar1, Brush sequentialBackgroundColorBar13, Brush sequentialFontColorBar13, int sequentialFontSizeBar13, Brush sequentialBackgroundColorBarRecycle, Brush sequentialFontColorBarRecycle, int sequentialFontSizeBarRecycle, bool sequentialCancelReverseSetup, bool sequentialCancelTDST, int comboBars, int comboLookBackBars, int comboRecycleBars, Brush comboFontColor, int comboFontSize, Brush comboBackgroundColorBar1, Brush comboFontColorBar1, int comboFontSizeBar1, Brush comboBackgroundColorBar13, Brush comboFontColorBar13, int comboFontSizeBar13, Brush comboBackgroundColorBarRecycle, Brush comboFontColorBarRecycle, int comboFontSizeBarRecycle)
		{
			if (cacheIGTDSequential2 != null)
				for (int idx = 0; idx < cacheIGTDSequential2.Length; idx++)
					if (cacheIGTDSequential2[idx].PlotSetupCountDownBuy == plotSetupCountDownBuy && cacheIGTDSequential2[idx].PlotSetupCountDownSell == plotSetupCountDownSell && cacheIGTDSequential2[idx].PlotTDST == plotTDST && cacheIGTDSequential2[idx].PlotSequentialCountdownBuy == plotSequentialCountdownBuy && cacheIGTDSequential2[idx].PlotSequentialCountdownSell == plotSequentialCountdownSell && cacheIGTDSequential2[idx].PlotComboCountdownBuy == plotComboCountdownBuy && cacheIGTDSequential2[idx].PlotComboCountdownSell == plotComboCountdownSell && cacheIGTDSequential2[idx].PixelOffset == pixelOffset && cacheIGTDSequential2[idx].SetupBars == setupBars && cacheIGTDSequential2[idx].SetupLookBackBars == setupLookBackBars && cacheIGTDSequential2[idx].PlotSetupCountDownAfterMinBars == plotSetupCountDownAfterMinBars && cacheIGTDSequential2[idx].PlotType == plotType && cacheIGTDSequential2[idx].SetupFontColor == setupFontColor && cacheIGTDSequential2[idx].SetupFontSize == setupFontSize && cacheIGTDSequential2[idx].SetupBackgroundColorBar1 == setupBackgroundColorBar1 && cacheIGTDSequential2[idx].SetupFontColorBar1 == setupFontColorBar1 && cacheIGTDSequential2[idx].SetupFontSizeBar1 == setupFontSizeBar1 && cacheIGTDSequential2[idx].SetupBackgroundColorBar9 == setupBackgroundColorBar9 && cacheIGTDSequential2[idx].SetupFontColorBar9 == setupFontColorBar9 && cacheIGTDSequential2[idx].SetupFontSizeBar9 == setupFontSizeBar9 && cacheIGTDSequential2[idx].DrawPerfectSignalArrow == drawPerfectSignalArrow && cacheIGTDSequential2[idx].PerfectSignalBuyColor == perfectSignalBuyColor && cacheIGTDSequential2[idx].PerfectSignalSellColor == perfectSignalSellColor && cacheIGTDSequential2[idx].CancelHaHC_LbLC == cancelHaHC_LbLC && cacheIGTDSequential2[idx].CancelHaHH_LbLL == cancelHaHH_LbLL && cacheIGTDSequential2[idx].CancelCaHC_CbLC == cancelCaHC_CbLC && cacheIGTDSequential2[idx].CancelCaHH_CbLL == cancelCaHH_CbLL && cacheIGTDSequential2[idx].CancelCaHTH_CbLTL == cancelCaHTH_CbLTL && cacheIGTDSequential2[idx].TDSTMaxNumber == tDSTMaxNumber && cacheIGTDSequential2[idx].DashStyle == dashStyle && cacheIGTDSequential2[idx].TDSTResistanceColor == tDSTResistanceColor && cacheIGTDSequential2[idx].TDSTSupportColor == tDSTSupportColor && cacheIGTDSequential2[idx].Width == width && cacheIGTDSequential2[idx].BuyQ1OR == buyQ1OR && cacheIGTDSequential2[idx].SellQ1OR == sellQ1OR && cacheIGTDSequential2[idx].SequentialBars == sequentialBars && cacheIGTDSequential2[idx].SequentialLookBackBars == sequentialLookBackBars && cacheIGTDSequential2[idx].SequentialBar8VersusBar5Qualifier == sequentialBar8VersusBar5Qualifier && cacheIGTDSequential2[idx].SequentialBar13VersusBar8Qualifier == sequentialBar13VersusBar8Qualifier && cacheIGTDSequential2[idx].SequentialRecycleBars == sequentialRecycleBars && cacheIGTDSequential2[idx].TerminationCount == terminationCount && cacheIGTDSequential2[idx].SequentialFontColor == sequentialFontColor && cacheIGTDSequential2[idx].SequentialFontSize == sequentialFontSize && cacheIGTDSequential2[idx].SequentialBackgroundColorBar1 == sequentialBackgroundColorBar1 && cacheIGTDSequential2[idx].SequentialFontColorBar1 == sequentialFontColorBar1 && cacheIGTDSequential2[idx].SequentialFontSizeBar1 == sequentialFontSizeBar1 && cacheIGTDSequential2[idx].SequentialBackgroundColorBar13 == sequentialBackgroundColorBar13 && cacheIGTDSequential2[idx].SequentialFontColorBar13 == sequentialFontColorBar13 && cacheIGTDSequential2[idx].SequentialFontSizeBar13 == sequentialFontSizeBar13 && cacheIGTDSequential2[idx].SequentialBackgroundColorBarRecycle == sequentialBackgroundColorBarRecycle && cacheIGTDSequential2[idx].SequentialFontColorBarRecycle == sequentialFontColorBarRecycle && cacheIGTDSequential2[idx].SequentialFontSizeBarRecycle == sequentialFontSizeBarRecycle && cacheIGTDSequential2[idx].SequentialCancelReverseSetup == sequentialCancelReverseSetup && cacheIGTDSequential2[idx].SequentialCancelTDST == sequentialCancelTDST && cacheIGTDSequential2[idx].ComboBars == comboBars && cacheIGTDSequential2[idx].ComboLookBackBars == comboLookBackBars && cacheIGTDSequential2[idx].ComboRecycleBars == comboRecycleBars && cacheIGTDSequential2[idx].ComboFontColor == comboFontColor && cacheIGTDSequential2[idx].ComboFontSize == comboFontSize && cacheIGTDSequential2[idx].ComboBackgroundColorBar1 == comboBackgroundColorBar1 && cacheIGTDSequential2[idx].ComboFontColorBar1 == comboFontColorBar1 && cacheIGTDSequential2[idx].ComboFontSizeBar1 == comboFontSizeBar1 && cacheIGTDSequential2[idx].ComboBackgroundColorBar13 == comboBackgroundColorBar13 && cacheIGTDSequential2[idx].ComboFontColorBar13 == comboFontColorBar13 && cacheIGTDSequential2[idx].ComboFontSizeBar13 == comboFontSizeBar13 && cacheIGTDSequential2[idx].ComboBackgroundColorBarRecycle == comboBackgroundColorBarRecycle && cacheIGTDSequential2[idx].ComboFontColorBarRecycle == comboFontColorBarRecycle && cacheIGTDSequential2[idx].ComboFontSizeBarRecycle == comboFontSizeBarRecycle && cacheIGTDSequential2[idx].EqualsInput(input))
						return cacheIGTDSequential2[idx];
			return CacheIndicator<IGTDSequential2>(new IGTDSequential2(){ PlotSetupCountDownBuy = plotSetupCountDownBuy, PlotSetupCountDownSell = plotSetupCountDownSell, PlotTDST = plotTDST, PlotSequentialCountdownBuy = plotSequentialCountdownBuy, PlotSequentialCountdownSell = plotSequentialCountdownSell, PlotComboCountdownBuy = plotComboCountdownBuy, PlotComboCountdownSell = plotComboCountdownSell, PixelOffset = pixelOffset, SetupBars = setupBars, SetupLookBackBars = setupLookBackBars, PlotSetupCountDownAfterMinBars = plotSetupCountDownAfterMinBars, PlotType = plotType, SetupFontColor = setupFontColor, SetupFontSize = setupFontSize, SetupBackgroundColorBar1 = setupBackgroundColorBar1, SetupFontColorBar1 = setupFontColorBar1, SetupFontSizeBar1 = setupFontSizeBar1, SetupBackgroundColorBar9 = setupBackgroundColorBar9, SetupFontColorBar9 = setupFontColorBar9, SetupFontSizeBar9 = setupFontSizeBar9, DrawPerfectSignalArrow = drawPerfectSignalArrow, PerfectSignalBuyColor = perfectSignalBuyColor, PerfectSignalSellColor = perfectSignalSellColor, CancelHaHC_LbLC = cancelHaHC_LbLC, CancelHaHH_LbLL = cancelHaHH_LbLL, CancelCaHC_CbLC = cancelCaHC_CbLC, CancelCaHH_CbLL = cancelCaHH_CbLL, CancelCaHTH_CbLTL = cancelCaHTH_CbLTL, TDSTMaxNumber = tDSTMaxNumber, DashStyle = dashStyle, TDSTResistanceColor = tDSTResistanceColor, TDSTSupportColor = tDSTSupportColor, Width = width, BuyQ1OR = buyQ1OR, SellQ1OR = sellQ1OR, SequentialBars = sequentialBars, SequentialLookBackBars = sequentialLookBackBars, SequentialBar8VersusBar5Qualifier = sequentialBar8VersusBar5Qualifier, SequentialBar13VersusBar8Qualifier = sequentialBar13VersusBar8Qualifier, SequentialRecycleBars = sequentialRecycleBars, TerminationCount = terminationCount, SequentialFontColor = sequentialFontColor, SequentialFontSize = sequentialFontSize, SequentialBackgroundColorBar1 = sequentialBackgroundColorBar1, SequentialFontColorBar1 = sequentialFontColorBar1, SequentialFontSizeBar1 = sequentialFontSizeBar1, SequentialBackgroundColorBar13 = sequentialBackgroundColorBar13, SequentialFontColorBar13 = sequentialFontColorBar13, SequentialFontSizeBar13 = sequentialFontSizeBar13, SequentialBackgroundColorBarRecycle = sequentialBackgroundColorBarRecycle, SequentialFontColorBarRecycle = sequentialFontColorBarRecycle, SequentialFontSizeBarRecycle = sequentialFontSizeBarRecycle, SequentialCancelReverseSetup = sequentialCancelReverseSetup, SequentialCancelTDST = sequentialCancelTDST, ComboBars = comboBars, ComboLookBackBars = comboLookBackBars, ComboRecycleBars = comboRecycleBars, ComboFontColor = comboFontColor, ComboFontSize = comboFontSize, ComboBackgroundColorBar1 = comboBackgroundColorBar1, ComboFontColorBar1 = comboFontColorBar1, ComboFontSizeBar1 = comboFontSizeBar1, ComboBackgroundColorBar13 = comboBackgroundColorBar13, ComboFontColorBar13 = comboFontColorBar13, ComboFontSizeBar13 = comboFontSizeBar13, ComboBackgroundColorBarRecycle = comboBackgroundColorBarRecycle, ComboFontColorBarRecycle = comboFontColorBarRecycle, ComboFontSizeBarRecycle = comboFontSizeBarRecycle }, input, ref cacheIGTDSequential2);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.IGTDSequential2 IGTDSequential2(bool plotSetupCountDownBuy, bool plotSetupCountDownSell, bool plotTDST, bool plotSequentialCountdownBuy, bool plotSequentialCountdownSell, bool plotComboCountdownBuy, bool plotComboCountdownSell, int pixelOffset, int setupBars, int setupLookBackBars, bool plotSetupCountDownAfterMinBars, TDSequentialPlotType2 plotType, Brush setupFontColor, int setupFontSize, Brush setupBackgroundColorBar1, Brush setupFontColorBar1, int setupFontSizeBar1, Brush setupBackgroundColorBar9, Brush setupFontColorBar9, int setupFontSizeBar9, bool drawPerfectSignalArrow, Brush perfectSignalBuyColor, Brush perfectSignalSellColor, bool cancelHaHC_LbLC, bool cancelHaHH_LbLL, bool cancelCaHC_CbLC, bool cancelCaHH_CbLL, bool cancelCaHTH_CbLTL, int tDSTMaxNumber, DashStyleHelper dashStyle, Brush tDSTResistanceColor, Brush tDSTSupportColor, int width, bool buyQ1OR, bool sellQ1OR, int sequentialBars, int sequentialLookBackBars, bool sequentialBar8VersusBar5Qualifier, bool sequentialBar13VersusBar8Qualifier, int sequentialRecycleBars, TDTerminationCount2 terminationCount, Brush sequentialFontColor, int sequentialFontSize, Brush sequentialBackgroundColorBar1, Brush sequentialFontColorBar1, int sequentialFontSizeBar1, Brush sequentialBackgroundColorBar13, Brush sequentialFontColorBar13, int sequentialFontSizeBar13, Brush sequentialBackgroundColorBarRecycle, Brush sequentialFontColorBarRecycle, int sequentialFontSizeBarRecycle, bool sequentialCancelReverseSetup, bool sequentialCancelTDST, int comboBars, int comboLookBackBars, int comboRecycleBars, Brush comboFontColor, int comboFontSize, Brush comboBackgroundColorBar1, Brush comboFontColorBar1, int comboFontSizeBar1, Brush comboBackgroundColorBar13, Brush comboFontColorBar13, int comboFontSizeBar13, Brush comboBackgroundColorBarRecycle, Brush comboFontColorBarRecycle, int comboFontSizeBarRecycle)
		{
			return indicator.IGTDSequential2(Input, plotSetupCountDownBuy, plotSetupCountDownSell, plotTDST, plotSequentialCountdownBuy, plotSequentialCountdownSell, plotComboCountdownBuy, plotComboCountdownSell, pixelOffset, setupBars, setupLookBackBars, plotSetupCountDownAfterMinBars, plotType, setupFontColor, setupFontSize, setupBackgroundColorBar1, setupFontColorBar1, setupFontSizeBar1, setupBackgroundColorBar9, setupFontColorBar9, setupFontSizeBar9, drawPerfectSignalArrow, perfectSignalBuyColor, perfectSignalSellColor, cancelHaHC_LbLC, cancelHaHH_LbLL, cancelCaHC_CbLC, cancelCaHH_CbLL, cancelCaHTH_CbLTL, tDSTMaxNumber, dashStyle, tDSTResistanceColor, tDSTSupportColor, width, buyQ1OR, sellQ1OR, sequentialBars, sequentialLookBackBars, sequentialBar8VersusBar5Qualifier, sequentialBar13VersusBar8Qualifier, sequentialRecycleBars, terminationCount, sequentialFontColor, sequentialFontSize, sequentialBackgroundColorBar1, sequentialFontColorBar1, sequentialFontSizeBar1, sequentialBackgroundColorBar13, sequentialFontColorBar13, sequentialFontSizeBar13, sequentialBackgroundColorBarRecycle, sequentialFontColorBarRecycle, sequentialFontSizeBarRecycle, sequentialCancelReverseSetup, sequentialCancelTDST, comboBars, comboLookBackBars, comboRecycleBars, comboFontColor, comboFontSize, comboBackgroundColorBar1, comboFontColorBar1, comboFontSizeBar1, comboBackgroundColorBar13, comboFontColorBar13, comboFontSizeBar13, comboBackgroundColorBarRecycle, comboFontColorBarRecycle, comboFontSizeBarRecycle);
		}


		
		public Indicators.IGTDSequential2 IGTDSequential2(ISeries<double> input , bool plotSetupCountDownBuy, bool plotSetupCountDownSell, bool plotTDST, bool plotSequentialCountdownBuy, bool plotSequentialCountdownSell, bool plotComboCountdownBuy, bool plotComboCountdownSell, int pixelOffset, int setupBars, int setupLookBackBars, bool plotSetupCountDownAfterMinBars, TDSequentialPlotType2 plotType, Brush setupFontColor, int setupFontSize, Brush setupBackgroundColorBar1, Brush setupFontColorBar1, int setupFontSizeBar1, Brush setupBackgroundColorBar9, Brush setupFontColorBar9, int setupFontSizeBar9, bool drawPerfectSignalArrow, Brush perfectSignalBuyColor, Brush perfectSignalSellColor, bool cancelHaHC_LbLC, bool cancelHaHH_LbLL, bool cancelCaHC_CbLC, bool cancelCaHH_CbLL, bool cancelCaHTH_CbLTL, int tDSTMaxNumber, DashStyleHelper dashStyle, Brush tDSTResistanceColor, Brush tDSTSupportColor, int width, bool buyQ1OR, bool sellQ1OR, int sequentialBars, int sequentialLookBackBars, bool sequentialBar8VersusBar5Qualifier, bool sequentialBar13VersusBar8Qualifier, int sequentialRecycleBars, TDTerminationCount2 terminationCount, Brush sequentialFontColor, int sequentialFontSize, Brush sequentialBackgroundColorBar1, Brush sequentialFontColorBar1, int sequentialFontSizeBar1, Brush sequentialBackgroundColorBar13, Brush sequentialFontColorBar13, int sequentialFontSizeBar13, Brush sequentialBackgroundColorBarRecycle, Brush sequentialFontColorBarRecycle, int sequentialFontSizeBarRecycle, bool sequentialCancelReverseSetup, bool sequentialCancelTDST, int comboBars, int comboLookBackBars, int comboRecycleBars, Brush comboFontColor, int comboFontSize, Brush comboBackgroundColorBar1, Brush comboFontColorBar1, int comboFontSizeBar1, Brush comboBackgroundColorBar13, Brush comboFontColorBar13, int comboFontSizeBar13, Brush comboBackgroundColorBarRecycle, Brush comboFontColorBarRecycle, int comboFontSizeBarRecycle)
		{
			return indicator.IGTDSequential2(input, plotSetupCountDownBuy, plotSetupCountDownSell, plotTDST, plotSequentialCountdownBuy, plotSequentialCountdownSell, plotComboCountdownBuy, plotComboCountdownSell, pixelOffset, setupBars, setupLookBackBars, plotSetupCountDownAfterMinBars, plotType, setupFontColor, setupFontSize, setupBackgroundColorBar1, setupFontColorBar1, setupFontSizeBar1, setupBackgroundColorBar9, setupFontColorBar9, setupFontSizeBar9, drawPerfectSignalArrow, perfectSignalBuyColor, perfectSignalSellColor, cancelHaHC_LbLC, cancelHaHH_LbLL, cancelCaHC_CbLC, cancelCaHH_CbLL, cancelCaHTH_CbLTL, tDSTMaxNumber, dashStyle, tDSTResistanceColor, tDSTSupportColor, width, buyQ1OR, sellQ1OR, sequentialBars, sequentialLookBackBars, sequentialBar8VersusBar5Qualifier, sequentialBar13VersusBar8Qualifier, sequentialRecycleBars, terminationCount, sequentialFontColor, sequentialFontSize, sequentialBackgroundColorBar1, sequentialFontColorBar1, sequentialFontSizeBar1, sequentialBackgroundColorBar13, sequentialFontColorBar13, sequentialFontSizeBar13, sequentialBackgroundColorBarRecycle, sequentialFontColorBarRecycle, sequentialFontSizeBarRecycle, sequentialCancelReverseSetup, sequentialCancelTDST, comboBars, comboLookBackBars, comboRecycleBars, comboFontColor, comboFontSize, comboBackgroundColorBar1, comboFontColorBar1, comboFontSizeBar1, comboBackgroundColorBar13, comboFontColorBar13, comboFontSizeBar13, comboBackgroundColorBarRecycle, comboFontColorBarRecycle, comboFontSizeBarRecycle);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.IGTDSequential2 IGTDSequential2(bool plotSetupCountDownBuy, bool plotSetupCountDownSell, bool plotTDST, bool plotSequentialCountdownBuy, bool plotSequentialCountdownSell, bool plotComboCountdownBuy, bool plotComboCountdownSell, int pixelOffset, int setupBars, int setupLookBackBars, bool plotSetupCountDownAfterMinBars, TDSequentialPlotType2 plotType, Brush setupFontColor, int setupFontSize, Brush setupBackgroundColorBar1, Brush setupFontColorBar1, int setupFontSizeBar1, Brush setupBackgroundColorBar9, Brush setupFontColorBar9, int setupFontSizeBar9, bool drawPerfectSignalArrow, Brush perfectSignalBuyColor, Brush perfectSignalSellColor, bool cancelHaHC_LbLC, bool cancelHaHH_LbLL, bool cancelCaHC_CbLC, bool cancelCaHH_CbLL, bool cancelCaHTH_CbLTL, int tDSTMaxNumber, DashStyleHelper dashStyle, Brush tDSTResistanceColor, Brush tDSTSupportColor, int width, bool buyQ1OR, bool sellQ1OR, int sequentialBars, int sequentialLookBackBars, bool sequentialBar8VersusBar5Qualifier, bool sequentialBar13VersusBar8Qualifier, int sequentialRecycleBars, TDTerminationCount2 terminationCount, Brush sequentialFontColor, int sequentialFontSize, Brush sequentialBackgroundColorBar1, Brush sequentialFontColorBar1, int sequentialFontSizeBar1, Brush sequentialBackgroundColorBar13, Brush sequentialFontColorBar13, int sequentialFontSizeBar13, Brush sequentialBackgroundColorBarRecycle, Brush sequentialFontColorBarRecycle, int sequentialFontSizeBarRecycle, bool sequentialCancelReverseSetup, bool sequentialCancelTDST, int comboBars, int comboLookBackBars, int comboRecycleBars, Brush comboFontColor, int comboFontSize, Brush comboBackgroundColorBar1, Brush comboFontColorBar1, int comboFontSizeBar1, Brush comboBackgroundColorBar13, Brush comboFontColorBar13, int comboFontSizeBar13, Brush comboBackgroundColorBarRecycle, Brush comboFontColorBarRecycle, int comboFontSizeBarRecycle)
		{
			return indicator.IGTDSequential2(Input, plotSetupCountDownBuy, plotSetupCountDownSell, plotTDST, plotSequentialCountdownBuy, plotSequentialCountdownSell, plotComboCountdownBuy, plotComboCountdownSell, pixelOffset, setupBars, setupLookBackBars, plotSetupCountDownAfterMinBars, plotType, setupFontColor, setupFontSize, setupBackgroundColorBar1, setupFontColorBar1, setupFontSizeBar1, setupBackgroundColorBar9, setupFontColorBar9, setupFontSizeBar9, drawPerfectSignalArrow, perfectSignalBuyColor, perfectSignalSellColor, cancelHaHC_LbLC, cancelHaHH_LbLL, cancelCaHC_CbLC, cancelCaHH_CbLL, cancelCaHTH_CbLTL, tDSTMaxNumber, dashStyle, tDSTResistanceColor, tDSTSupportColor, width, buyQ1OR, sellQ1OR, sequentialBars, sequentialLookBackBars, sequentialBar8VersusBar5Qualifier, sequentialBar13VersusBar8Qualifier, sequentialRecycleBars, terminationCount, sequentialFontColor, sequentialFontSize, sequentialBackgroundColorBar1, sequentialFontColorBar1, sequentialFontSizeBar1, sequentialBackgroundColorBar13, sequentialFontColorBar13, sequentialFontSizeBar13, sequentialBackgroundColorBarRecycle, sequentialFontColorBarRecycle, sequentialFontSizeBarRecycle, sequentialCancelReverseSetup, sequentialCancelTDST, comboBars, comboLookBackBars, comboRecycleBars, comboFontColor, comboFontSize, comboBackgroundColorBar1, comboFontColorBar1, comboFontSizeBar1, comboBackgroundColorBar13, comboFontColorBar13, comboFontSizeBar13, comboBackgroundColorBarRecycle, comboFontColorBarRecycle, comboFontSizeBarRecycle);
		}


		
		public Indicators.IGTDSequential2 IGTDSequential2(ISeries<double> input , bool plotSetupCountDownBuy, bool plotSetupCountDownSell, bool plotTDST, bool plotSequentialCountdownBuy, bool plotSequentialCountdownSell, bool plotComboCountdownBuy, bool plotComboCountdownSell, int pixelOffset, int setupBars, int setupLookBackBars, bool plotSetupCountDownAfterMinBars, TDSequentialPlotType2 plotType, Brush setupFontColor, int setupFontSize, Brush setupBackgroundColorBar1, Brush setupFontColorBar1, int setupFontSizeBar1, Brush setupBackgroundColorBar9, Brush setupFontColorBar9, int setupFontSizeBar9, bool drawPerfectSignalArrow, Brush perfectSignalBuyColor, Brush perfectSignalSellColor, bool cancelHaHC_LbLC, bool cancelHaHH_LbLL, bool cancelCaHC_CbLC, bool cancelCaHH_CbLL, bool cancelCaHTH_CbLTL, int tDSTMaxNumber, DashStyleHelper dashStyle, Brush tDSTResistanceColor, Brush tDSTSupportColor, int width, bool buyQ1OR, bool sellQ1OR, int sequentialBars, int sequentialLookBackBars, bool sequentialBar8VersusBar5Qualifier, bool sequentialBar13VersusBar8Qualifier, int sequentialRecycleBars, TDTerminationCount2 terminationCount, Brush sequentialFontColor, int sequentialFontSize, Brush sequentialBackgroundColorBar1, Brush sequentialFontColorBar1, int sequentialFontSizeBar1, Brush sequentialBackgroundColorBar13, Brush sequentialFontColorBar13, int sequentialFontSizeBar13, Brush sequentialBackgroundColorBarRecycle, Brush sequentialFontColorBarRecycle, int sequentialFontSizeBarRecycle, bool sequentialCancelReverseSetup, bool sequentialCancelTDST, int comboBars, int comboLookBackBars, int comboRecycleBars, Brush comboFontColor, int comboFontSize, Brush comboBackgroundColorBar1, Brush comboFontColorBar1, int comboFontSizeBar1, Brush comboBackgroundColorBar13, Brush comboFontColorBar13, int comboFontSizeBar13, Brush comboBackgroundColorBarRecycle, Brush comboFontColorBarRecycle, int comboFontSizeBarRecycle)
		{
			return indicator.IGTDSequential2(input, plotSetupCountDownBuy, plotSetupCountDownSell, plotTDST, plotSequentialCountdownBuy, plotSequentialCountdownSell, plotComboCountdownBuy, plotComboCountdownSell, pixelOffset, setupBars, setupLookBackBars, plotSetupCountDownAfterMinBars, plotType, setupFontColor, setupFontSize, setupBackgroundColorBar1, setupFontColorBar1, setupFontSizeBar1, setupBackgroundColorBar9, setupFontColorBar9, setupFontSizeBar9, drawPerfectSignalArrow, perfectSignalBuyColor, perfectSignalSellColor, cancelHaHC_LbLC, cancelHaHH_LbLL, cancelCaHC_CbLC, cancelCaHH_CbLL, cancelCaHTH_CbLTL, tDSTMaxNumber, dashStyle, tDSTResistanceColor, tDSTSupportColor, width, buyQ1OR, sellQ1OR, sequentialBars, sequentialLookBackBars, sequentialBar8VersusBar5Qualifier, sequentialBar13VersusBar8Qualifier, sequentialRecycleBars, terminationCount, sequentialFontColor, sequentialFontSize, sequentialBackgroundColorBar1, sequentialFontColorBar1, sequentialFontSizeBar1, sequentialBackgroundColorBar13, sequentialFontColorBar13, sequentialFontSizeBar13, sequentialBackgroundColorBarRecycle, sequentialFontColorBarRecycle, sequentialFontSizeBarRecycle, sequentialCancelReverseSetup, sequentialCancelTDST, comboBars, comboLookBackBars, comboRecycleBars, comboFontColor, comboFontSize, comboBackgroundColorBar1, comboFontColorBar1, comboFontSizeBar1, comboBackgroundColorBar13, comboFontColorBar13, comboFontSizeBar13, comboBackgroundColorBarRecycle, comboFontColorBarRecycle, comboFontSizeBarRecycle);
		}

	}
}

#endregion
